Timekit developers

GET Retrieve a location

Get a specific location

Endpoint

GET https://api.timekit.io/v2/locations/:id

Parameters

Name In Type Required Default Description
id path string the id of the location

Request examples

curl
curl --request GET \
  --url https://api.timekit.io/v2/locations/9632b315-7400-4059-8aed-1e3a1960355f?include=projects \
  --header 'Content-Type: application/json' \
  --user :test_api_key_nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW

Response examples

200

json
{
    "data": {
        "meta": {
            "t_store_id": "",
            "t_latitude": "42.50798000",
            "t_longitude": "1.52480000",
            "t_store_city": "",
            "t_store_code": "",
            "t_store_name": "",
            "t_store_phone": "",
            "t_store_region": "",
            "t_store_address": "",
            "t_store_country": "",
            "t_store_timezone": "",
            "t_store_capacity": "",
            "t_store_disabled": "",
            "t_store_postal_code": "",
            "t_store_region_name": "",
            "t_store_country_name": ""
        },
        "id": "9632b315-7400-4059-8aed-1e3a1960355f",
        "name": "CASSANY",
        "description": "CASSANY",
        "latitude": 42.50798,
        "longitude": 1.5248,
        "use_custom_hours": true,
        "availability_constraints": [],
        "created_at": "2021-08-11T19:16:31+0000",
        "updated_at": "2021-08-11T19:16:31+0000",
        "distance": 0,
        "projects": []
    }
}

403

json
{
  "errors": "You are not allowed to do this!"
}

404

json
{
  "error": "Resource does not exist"
}
Last edited 6 October 2026.